Get Purchase Status
curl --request GET \
--url https://api.example.com/cabinet/landing/purchase/{token}import requests
url = "https://api.example.com/cabinet/landing/purchase/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/cabinet/landing/purchase/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"subscription_url": "<string>",
"subscription_crypto_link": "<string>",
"is_gift": false,
"contact_value": "<string>",
"recipient_contact_value": "<string>",
"period_days": 123,
"tariff_name": "<string>",
"gift_message": "<string>",
"contact_type": "<string>",
"cabinet_email": "<string>",
"cabinet_password": "<string>",
"auto_login_token": "<string>",
"recipient_in_bot": true,
"bot_link": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Landing Pages
Get Purchase Status
Get the status of a guest purchase by token.
No authentication required.
GET
/
cabinet
/
landing
/
purchase
/
{token}
Get Purchase Status
Path Parameters
Response
Successful Response
⌘I
